| LicenseSpring Management .Net SDK 1.16.0 Easily add Software Licensing to your application

Loading...
Searching...
No Matches
Properties | List of all members
LicenseSpring.Device Class Reference

Class that holds information about device. More...

Inheritance diagram for LicenseSpring.Device:

## Properties
string | AppVer`[get]`
| Version of the application installed on the device.
bool | Blacklisted`[get]`
| If this device has been blacklisted - can no longer use the license.
DateTime | CreatedAt`[get]`
| Time when the device object was created.
bool | DeviceActive`[get]`
| Indicates if the device is currently active/using a license.
DeviceVariable[] | DeviceVariables`[get]`
| List of device variables that were tracked.
string | ExternalIp`[get]`
| External IP address, gotten from the LicenseSpring Servers.
bool | FloatingInUse`[get]`
| Indicates if the device is active and floating license hasn't expired.
DateTime | FloatingLastSeen`[get]`
| Time when the device was last used with a floating license.
string | HardwareId`[get]`
| Unique id of the device.
string | Hostname`[get]`
| Hostname detected by the SDK.
ulong | Id`[get]`
| 16 digit number, automatically generated by the LicenseSpring.
string | Ip`[get]`
| Ip address that was detected by the SDK.
bool | IsVm`[get]`
| Indicates if this device is a virtual machine.
DateTime | LastCheck`[get]`
| Time when last check was performed.
DeviceLicense | License`[get]`
| License information license this device belongs to.
string | MacAddress`[get]`
| Mac address that was detected by the SDK.
string | OS`[get]`
| Operation system of the device.
string | SdkBuildVersion`[get]`
| Version of the sdk used on the device.
DateTime | TimeActivated`[get]`
| Time when the device was activated.
DateTime | TimeDeactivated`[get]`
| Time when the device was deactivated.
string | Type`[get]`
| Type of the device. e.g. laptop, computer,...
DateTime | UpdatedAt`[get]`
| Time when device information was last updated.
DateTime | ValidityPeriod`[get]`
| Device validity period.
string | VmInfo`[get]`
| If field isVm is true, this field will contain additional information about the virtual machine.
Properties inherited from LicenseSpring.IDevice

## Detailed Description

Class that holds information about device.

## Property Documentation

## ◆ AppVer

string LicenseSpring.Device.AppVer
| get

Version of the application installed on the device.

Implements LicenseSpring.IDevice.

## ◆ Blacklisted

bool LicenseSpring.Device.Blacklisted
| get

If this device has been blacklisted - can no longer use the license.

Implements LicenseSpring.IDevice.

## ◆ CreatedAt

DateTime LicenseSpring.Device.CreatedAt
| get

Time when the device object was created.

Implements LicenseSpring.IDevice.

## ◆ DeviceActive

bool LicenseSpring.Device.DeviceActive
| get

Indicates if the device is currently active/using a license.

Implements LicenseSpring.IDevice.

## ◆ DeviceVariables

DeviceVariable [] LicenseSpring.Device.DeviceVariables
| get

List of device variables that were tracked.

Implements LicenseSpring.IDevice.

## ◆ ExternalIp

string LicenseSpring.Device.ExternalIp
| get

External IP address, gotten from the LicenseSpring Servers.

Implements LicenseSpring.IDevice.

## ◆ FloatingInUse

bool LicenseSpring.Device.FloatingInUse
| get

Indicates if the device is active and floating license hasn't expired.

Implements LicenseSpring.IDevice.

## ◆ FloatingLastSeen

DateTime LicenseSpring.Device.FloatingLastSeen
| get

Time when the device was last used with a floating license.

Implements LicenseSpring.IDevice.

## ◆ HardwareId

string LicenseSpring.Device.HardwareId
| get

Unique id of the device.

Implements LicenseSpring.IDevice.

## ◆ Hostname

string LicenseSpring.Device.Hostname
| get

Hostname detected by the SDK.

Implements LicenseSpring.IDevice.

## ◆ Id

ulong LicenseSpring.Device.Id
| get

16 digit number, automatically generated by the LicenseSpring.

Implements LicenseSpring.IDevice.

## ◆ Ip

string LicenseSpring.Device.Ip
| get

Ip address that was detected by the SDK.

Implements LicenseSpring.IDevice.

## ◆ IsVm

bool LicenseSpring.Device.IsVm
| get

Indicates if this device is a virtual machine.

Implements LicenseSpring.IDevice.

## ◆ LastCheck

DateTime LicenseSpring.Device.LastCheck
| get

Time when last check was performed.

Implements LicenseSpring.IDevice.

## ◆ License

DeviceLicense LicenseSpring.Device.License
| get

License information license this device belongs to.

Implements LicenseSpring.IDevice.

## ◆ MacAddress

string LicenseSpring.Device.MacAddress
| get

Mac address that was detected by the SDK.

Implements LicenseSpring.IDevice.

## ◆ OS

string LicenseSpring.Device.OS
| get

Operation system of the device.

Implements LicenseSpring.IDevice.

## ◆ SdkBuildVersion

string LicenseSpring.Device.SdkBuildVersion
| get

Version of the sdk used on the device.

Implements LicenseSpring.IDevice.

## ◆ TimeActivated

DateTime LicenseSpring.Device.TimeActivated
| get

Time when the device was activated.

Implements LicenseSpring.IDevice.

## ◆ TimeDeactivated

DateTime LicenseSpring.Device.TimeDeactivated
| get

Time when the device was deactivated.

Implements LicenseSpring.IDevice.

## ◆ Type

string LicenseSpring.Device.Type
| get

Type of the device. e.g. laptop, computer,...

Implements LicenseSpring.IDevice.

## ◆ UpdatedAt

DateTime LicenseSpring.Device.UpdatedAt
| get

Time when device information was last updated.

Implements LicenseSpring.IDevice.

## ◆ ValidityPeriod

DateTime LicenseSpring.Device.ValidityPeriod
| get

Device validity period.

Implements LicenseSpring.IDevice.

## ◆ VmInfo

string LicenseSpring.Device.VmInfo
| get

If field isVm is true, this field will contain additional information about the virtual machine.

Implements LicenseSpring.IDevice.

The documentation for this class was generated from the following file:

- Device.cs